//---------------------------------------------------------------------------
#ifndef OptionsDlgsH
#define OptionsDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Dialogs.hpp>
#include <vcl\Buttons.hpp>
//---------------------------------------------------------------------------
bool __fastcall GetPreferences(AnsiString &PageCap=AnsiString(""));

class TOptionsDlg : public TForm
{
__published:	// IDE-managed Components
  TButton *OkBtn;
  TButton *CancelBtn;
  TColorDialog *ColorDialog1;
  TPageControl *PageControl1;
  TTabSheet *TabSheet3;
  TLabel *Label6;
  TGroupBox *GroupBox6;
  TLabel *Label1;
  TEdit *QuoteMarkEdit;
  TButton *ColorBtn;
	TTabSheet *EdSheet;
  TGroupBox *EdWrapGroup;
  TRadioButton *EdWrapNotBtn;
  TRadioButton *EdWrapWinBtn;
  TTabSheet *TabSheet2;
  TGroupBox *SendWrapGroup;
  TLabel *Label2;
  TRadioButton *SendWrapNotBtn;
  TRadioButton *SendWrapWinBtn;
  TRadioButton *SendWrapCharBtn;
  TEdit *SendWrapCharEdit;
  TPanel *ColorBox;
  TCheckBox *DontWrapQuotes;
  TButton *ApplyColorBtn;
  TTabSheet *PgpSheet;
  TGroupBox *GroupBox1;
  TEdit *PgpPublicKeyring;
  TEdit *PgpSecretKeyring;
  TButton *BrowseSecring;
  TButton *BrowsePubring;
  TOpenDialog *OpenPubring;
  TOpenDialog *OpenSecring;
  TGroupBox *GroupBox3;
  TButton *HelpBtn;
  TOpenDialog *OpenImport;
  TEdit *SendChainLogMax;
  TLabel *Label8;
  TEdit *SendSMTPLogMax;
  TLabel *Label9;
  TTabSheet *TabSheet4;
  TTabSheet *TabSheet5;
  TEdit *RemailerTimeOut;
  TLabel *Label10;
  TEdit *ReceivePOP3LogMax;
  TLabel *Label11;
  TEdit *RemailerErrChkLogMax;
  TLabel *Label12;
  TLabel *Label3;
  TLabel *Label14;
  TLabel *Label7;
  TButton *ImportBtn;
  TCheckBox *AutoImportBox;
  TBevel *Bevel1;
  TLabel *PublicKeyring6;
  TLabel *SecretKeyring6;
  TBevel *Bevel2;
  TLabel *Label13;
  TGroupBox *GroupBox5;
  TLabel *Label5;
  TLabel *Label4;
  TEdit *StatsMinutes;
  TCheckBox *EnableCpkBox;
  TCheckBox *SendDateHdrBox;
  TLabel *Label15;
  TEdit *KeepPassMins;
  TUpDown *UpDown1;
  TLabel *Label16;
	TTabSheet *NymSheet;
	TCheckBox *NymShowPopupBox;
	TLabel *Label17;
	TMemo *NymCmdsEditor;
	TLabel *Label18;
	TCheckBox *NymAutoDecryptBox;
	TCheckBox *SortMailboxes;
	TCheckBox *ShowBetaTest;
  void __fastcall SendWrapBtnClick(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall SendWrapCharEditExit(TObject *Sender);
  void __fastcall StatsMinutesExit(TObject *Sender);
  void __fastcall ColorBtnClick(TObject *Sender);
  void __fastcall ApplyColorBtnClick(TObject *Sender);
  void __fastcall PageControl1Change(TObject *Sender);
  void __fastcall BrowsePubringClick(TObject *Sender);
  void __fastcall BrowseSecringClick(TObject *Sender);
  void __fastcall HelpBtnClick(TObject *Sender);
  void __fastcall ResetBtnClick(TObject *Sender);
  void __fastcall ImportBtnClick(TObject *Sender);
  void __fastcall EnableCpkBoxClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  AnsiString cap;
  TStringList *ini;
  bool cpunkchange,initcomplete;// both used by cyberpunk enable
  AnsiString seckeyfile,pubkeyfile,impkeyfile;
  __fastcall TOptionsDlg(TComponent* Owner);
  bool __fastcall CheckPGPFilenameColision();
};

const AnsiString PgpBegPubKeyBlk = "-----BEGIN PGP PUBLIC KEY BLOCK-----";
const AnsiString PgpEndPubKeyBlk = "-----END PGP PUBLIC KEY BLOCK-----";
const AnsiString PgpBegSecKeyBlk = "-----BEGIN PGP SECRET KEY BLOCK-----";
const AnsiString PgpEndSecKeyBlk = "-----END PGP SECRET KEY BLOCK-----";

//---------------------------------------------------------------------------
extern TOptionsDlg *OptionsDlg;
//---------------------------------------------------------------------------
#endif
